/**
 * JavaScript for common installer functions
 * --------------------------------------------------------------------
 * $Revision::                                                        $
 * $Date::                                                            $
 * $Tag:: 0.2.1-FINAL                                                 $
 * $Author::                                                          $
 * --------------------------------------------------------------------
 * Copyright (c) 2003 - 2009 by Roland Haeder
 * Copyright (c) 2009 - 2012 by Mailer Developer Team
 * For more information visit: http://mxchange.org
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA  02110-1301  USA
 */

// Installation steps array
var installSteps = new Array();

// Init all installation steps
installSteps[0] = '';
installSteps[1] = '';
installSteps[2] = '';
installSteps[3] = '';

// Switches instaler by redirecting
function switchInstaller (installer) {
	// Switch installer
	document.location.href='install.php?installer=' + installer;
}

// User has clicked on 'finish'
function doFinishInstallation () {
	// First disable all buttons button
	disableElement('input#next_page');
	disableElement('input#previous_page');
	disableElement('input#finish');

	// Display process window
	displayProcessWindow('install', '');
}
